Description

The manner in which classes (and associations) in the AssetInfo package related to wire position are to be used to support network
modeling is confusing: in one case, two classes (WireAssemblyInfo and WireSpacingInfo) appear to provide the same purpose
(describing a set of wire positions); in another case, one class has two meanings (WireSpacingInfo is used to describe both 'bundles’
and the collection of individual wires making up a line segment); associations exist that allow modeling (and templating) to be
accomplished in a dozen different ways.

Proposed Solution

Proposed changes are described in detail in Issue #5296:5297:5296 - WG14 Part 4 WireAssemblyInfo and related cleanup for
ACLineSegment physical modeling.
At a high level the following are proposed:

WireSpacinglnfo - Repurpose class for use only in describing collections of wires carrying a single phase. Rename class to
IntrphaseSpacing, remove .isCable and .usage attributes, create new associations to ACLineSegmentPhase and WirePosition
to allow it to be used in the 3 templating approaches. Also remove no-longer-needed WireUsageKind class.

WirePhaselnfo - Remove class and its 3 associations. Relocate its only attribute (.phaselnfo) to the WirePosition class.
WireAssemblyInfo - Rename class and add 3 associations to allow it to serve as the only class supporting the description of
collections of wires carrying multiple phases.

Release Notes
See Issue #5295:5297:5296 - WG14 Part 4 WireAssemblyInfo and related cleanup for ACLineSegment modeling.

Related issues:
Related to CIM Joint Issues - CIM Issues #5295: Joint issue on ACLineSegment ...
Related to WG14 Part 4 Issues - CIM Issues #5296: 5295:5297:5296 - WG14 Part ...

New

Review

History

#1 - 01/29/2022 05:50 PM - Pat Brown
- Project changed from WG13 Issues to WG 14 Issues

- Subject changed from 61968 portion of joint issue on ACLineSegment physical modeling clarification to 61968 portion of #5295 - Joint issue on
ACLineSegment physical modeling clarification
- Proposed Solution updated
- Standard(s) set to 61968-11, 61968-13

- Release Notes updated

#2 - 01/29/2022 06:07 PM - Pat Brown
- Proposed Solution updated

#3 - 01/30/2022 02:00 AM - Pat Brown

- Description updated

- Solution to be Applied To set to iec61970cim18v01_iec61968cim14v00_iec62325¢cim04v08_CIM101.0
- Proposed Solution updated

- Release Notes updated

- CIM Impacted Groups WG13 added

#4 - 01/30/2022 02:02 AM - Pat Brown

- Subject changed from 61968 portion of #5295 - Joint issue on ACLineSegment physical modeling clarification to 5295:5297 61968 Assetinfo cleanup
for ACLineSegment physical modeling

- Proposed Solution updated

#5 - 01/30/2022 02:29 AM - Pat Brown

- Breaking Change Description changed from WirePhaselnfo and WireUsageKind classes deleted, 2 classes renamed, 2 attributes deprecated, 4
associations deleted to WirePhaselnfo and WireUsageKind classes deleted, 2 classes renamed, 2 attributes deleted, 4 associations deleted

#6 - 01/30/2022 02:29 AM - Pat Brown

- Release Notes updated

#7 - 01/30/2022 04:12 AM - Pat Brown
- Standard(s) changed from 61968-11, 61968-13 to 61968-11, 61968-4

#8 - 09/23/2022 10:43 AM - Chuck DuBose
- Related to CIM Issues #5295: Joint issue on ACLineSegment physical modeling clarification added

#9 - 09/23/2022 10:49 AM - Chuck DuBose
- Related to CIM Issues #5296: 5295:5297:5296 - WG 14 Part 4 WireAssemblyInfo and related cleanup for ACLineSegment physical modeling added

#10 - 09/20/2023 09:58 AM - Pat Brown

2023-09-20

Two updates made to related WG14 Part 4 Issue (5296): 1) removal of Discription changes for IntraphaseSpacing (was WireSpacinglnfo) class and
2) request to move 3 classes WireAssembly (was WireAssemblyInfo), WirePosition and IntraphaseSpacing (was WireSpacinglnfo) from the 61968
package to the 61970 package.

#11 - 10/14/2023 09:55 AM - Henry Dotson

- Status changed from New to Open
